#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		platform	linux-clang
#-----------------------------------------------------------------------------
Name		:	qca
Version		:	2.3.8
Release		:	17.0.10.rel%{?dist}
Summary		:	Qt6 Cryptographic Architecture
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://download.kde.org/stable/qca

Source0		:	%{name}-%{version}.tar.xz
patch0		:	%{name}-%{version}-qt6-pkgconfig.patch
#-----------------------------------------------------------------------------
BuildRequires	:	doxygen
BuildRequires	:	libgcrypt
BuildRequires	:	libp11
BuildRequires	:	make-ca
BuildRequires	:	p11-kit-devel
BuildRequires	:	qt6-qt5compat-devel
BuildRequires	:	qt6-qtbase-devel 
BuildRequires	:	qt6-rpm-macros 

#-----------------------------------------------------------------------------
%description
Taking a hint from the similarly-named Java
Cryptography Architecture, QCA aims to provide
a straightforward and cross-platform crypto API,
using Qt datatypes and conventions. QCA separates
the API from the implementation, using plugins known
as Providers. The advantage of this model is to
allow applications to avoid linking to or explicitly
depending on any particular cryptographic library.
This allows one to easily change or upgrade crypto
implementations without even needing to recompile the
application!
#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README TODO
%license COPYING
%{_bindir}/mozcerts-qt6
%{_bindir}/qcatool-qt6
%{_qt6_libdir}/libqca-qt6.so.2*
%{_qt6_plugindir}/crypto/libqca-*.so
%{_mandir}/man1/qcatool-qt6.1*

#=============================================================================
%package		qt6-devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		qt6-devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			qt6-devel
%defattr(-,root,root,-)
%{_qt6_headerdir}/QtCrypto/QtCrypto
%{_qt6_headerdir}/QtCrypto/%{name}.h
%{_qt6_headerdir}/QtCrypto/%{name}_*.h
%{_qt6_headerdir}/QtCrypto/qcaprovider.h
%{_qt6_headerdir}/QtCrypto/qpipe.h
%{_qt6_libdir}/lib%{name}-qt6.so
%{_libdir}/cmake/Qca-qt6/Qca-*.cmake
%{_libdir}/pkgconfig/%{name}2-qt6.pc
 


#=============================================================================
%prep
%setup -q
# Also generate pkgconfig file for qt6
%patch  -P 0 -p1

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-B _bld						\
	-G Ninja					\
	-S .						\
	-D CMAKE_VERBOSE_MAKEFILE=ON			\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D QCA_INSTALL_IN_QT_PREFIX=ON			\
	-D QT6=ON					\
	-D QCA_PLUGINS_INSTALL_DIR=%{_qt6_plugindir}	\
	-D QCA_BINARY_INSTALL_DIR=%{_bindir}		\
	-D QCA_MAN_INSTALL_DIR=%{_mandir} 		\
	-D QCA_INCLUDE_INSTALL_DIR=%{_qt6_headerdir}	\
	-D BUILD_TESTS=OFF				\

cmake							\
	--build						\
	_bld						\
	--verbose

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	cmake						\
	--install					\
	_bld

#-----------------------------------------------------------------------------
%changelog
